## flashgen 12.07.11-extras12.04.1

=== debian/changelog ===
flashgen (12.07.11-extras12.04.1) precise; urgency=low

  * Initial release.

 -- Jobi Kea Carter <keacarterdev@gmail.com>  Wed, 04 Jul 2012 01:56:40 -0600
