=== debian/control ===
Source: flashgen
Section: python
Priority: extra
Build-Depends: libglib2.0-bin,
 debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Jobi Kea Carter <keacarterdev@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: flashgen
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-notify-0.7,
 gir1.2-launchpad-integration-3.0,
 yelp
Description: Create Japanese Language Flashcards
 Quickly and easily generate CSVs and TSVs of Japanese terms and their
 definitions by searching for and adding them from a dictionary, or by
 defining a list of words in English or Japanese
