=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/flashgen                 --install-data=/opt/extras.ubuntu.com/flashgen                 --install-lib=/opt/extras.ubuntu.com/flashgen

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/flashgen


override_dh_install:
	dh_install
	mkdir -p debian/flashgen/opt/extras.ubuntu.com/flashgen/bin
	if [ -x debian/flashgen/opt/extras.ubuntu.com/flashgen/flashgen/flashgen ]; then mv debian/flashgen/opt/extras.ubuntu.com/flashgen/flashgen/flashgen debian/flashgen/opt/extras.ubuntu.com/flashgen/bin; fi
	if [ -f debian/flashgen/opt/extras.ubuntu.com/flashgen/share/applications/flashgen.desktop ]; then \
		mkdir -p debian/flashgen/usr/share/applications; \
		mv debian/flashgen/opt/extras.ubuntu.com/flashgen/share/applications/flashgen.desktop debian/flashgen/usr/share/applications/extras-flashgen.desktop; \
		rmdir --ignore-fail-on-non-empty debian/flashgen/opt/extras.ubuntu.com/flashgen/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/flashgen/bin/flashgen|' debian/flashgen/usr/share/applications/extras-flashgen.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/flashgen/|' debian/flashgen/usr/share/applications/extras-flashgen.desktop; \
	fi
	grep -RlZ 'import gettext' debian/flashgen/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/flashgen/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('flashgen')" debian/flashgen/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('flashgen')\)|locale\.bindtextdomain('flashgen', '/opt/extras.ubuntu.com/flashgen/share/locale')\nlocale\1|" 
	sed -i "s|__flashgen_data_directory__ =.*|__flashgen_data_directory__ = '/opt/extras.ubuntu.com/flashgen/share/flashgen/'|" debian/flashgen/opt/extras.ubuntu.com/flashgen/flashgen*/flashgenconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/flashgen/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/flashgen/opt/extras.ubuntu.com/flashgen/bin/flashgen
	if [ -d debian/flashgen/opt/extras.ubuntu.com/flashgen/share/glib-2.0/schemas ]; then glib-compile-schemas debian/flashgen/opt/extras.ubuntu.com/flashgen/share/glib-2.0/schemas; fi
